curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": false,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules"
payload = {
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": False,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_1: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_2: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_3: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
apply_retroactively: false,
external_id: '<string>',
created_by_suggestion_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
merchant_type_filter: '<string>',
transaction_description_filter: '<string>',
counterparty_filter: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_transaction_type_filter: 'PURCHASE',
bank_direction_filter: 'MONEY_OUT',
amount_min_filter: 123,
amount_max_filter: 123
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'category' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_1' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_2' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_3' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'apply_retroactively' => false,
'external_id' => '<string>',
'created_by_suggestion_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'merchant_type_filter' => '<string>',
'transaction_description_filter' => '<string>',
'counterparty_filter' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'bank_transaction_type_filter' => 'PURCHASE',
'bank_direction_filter' => 'MONEY_OUT',
'amount_min_filter' => 123,
'amount_max_filter' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "Categorization_Rule",
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logo_url": "<string>",
"website": "<string>"
},
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
}Create categorization rule
Creates a new categorization rule for the business.
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": false,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules"
payload = {
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": False,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
category: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_1: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_2: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
suggestion_3: {type: 'AccountId', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
apply_retroactively: false,
external_id: '<string>',
created_by_suggestion_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
merchant_type_filter: '<string>',
transaction_description_filter: '<string>',
counterparty_filter: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_transaction_type_filter: 'PURCHASE',
bank_direction_filter: 'MONEY_OUT',
amount_min_filter: 123,
amount_max_filter: 123
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'category' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_1' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_2' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'suggestion_3' => [
'type' => 'AccountId',
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'apply_retroactively' => false,
'external_id' => '<string>',
'created_by_suggestion_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'merchant_type_filter' => '<string>',
'transaction_description_filter' => '<string>',
'counterparty_filter' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'bank_transaction_type_filter' => 'PURCHASE',
'bank_direction_filter' => 'MONEY_OUT',
'amount_min_filter' => 123,
'amount_max_filter' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/categorization-rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"category\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_1\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_2\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"suggestion_3\": {\n \"type\": \"AccountId\",\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n },\n \"apply_retroactively\": false,\n \"external_id\": \"<string>\",\n \"created_by_suggestion_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"merchant_type_filter\": \"<string>\",\n \"transaction_description_filter\": \"<string>\",\n \"counterparty_filter\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"bank_transaction_type_filter\": \"PURCHASE\",\n \"bank_direction_filter\": \"MONEY_OUT\",\n \"amount_min_filter\": 123,\n \"amount_max_filter\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "Categorization_Rule",
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logo_url": "<string>",
"website": "<string>"
},
"bank_transaction_type_filter": "PURCHASE",
"bank_direction_filter": "MONEY_OUT",
"amount_min_filter": 123,
"amount_max_filter": 123
}
}merchant_type_filter, transaction_description_filter, counterparty_filter, bank_transaction_type_filter).
Applying categorization rules retroactively
The rule can optionally be applied retroactively to existing uncategorized transactions via theapply_retroactively flag.
If apply_retroactively is true, the rule will be applied to existing uncategorized transactions when the rule is created.
If false, the rule will only apply to future matching transactions and the preview is informational only.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
Parameters for creating or updating a categorization rule. At least one filter must be specified.
Optional name for the rule.
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
- Account ID
- Account Stable Name
- Exclusion
Show child attributes
Show child attributes
Whether to apply this rule to existing uncategorized transactions.
External identifier for idempotency. Used for create/upsert operations.
UUID of the suggestion that created this rule (if applicable).
Regex pattern that matches the entire merchant name. Patterns must contain 1 to 1,024 characters. Lookaround and backreferences are not supported.
1 - 1024Regex pattern that matches the entire transaction description. Patterns must contain 1 to 1,024 characters. Lookaround and backreferences are not supported.
1 - 1024UUID of a specific counterparty (merchant/vendor) to match.
Type of bank transaction.
REVENUE, LOAN_DISBURSEMENT, REFUND_RECEIVED, INCOMING_P2P_TRANSFER, INTRA_ACCOUNT_TRANSFER_IN, CHECK_WITHDRAWAL, ATM_DEPOSIT, BANK_DEPOSIT, BANK_VERIFICATION_TRIAL_CREDIT, REVERSAL_IN, CREDIT_CARD_REWARD, CREDIT_CARD_PAYMENT_IN, INTEREST_EARNED, GOVERNMENT_OR_OTHER_GRANT, TAX_REFUND, PURCHASE, REFUND_GIVEN, OUTGOING_P2P_TRANSFER, INTRA_ACCOUNT_TRANSFER_OUT, CHECK_DEPOSIT, CREDIT_CARD_PAYMENT_OUT, ATM_WITHDRAWAL, BANK_WITHDRAWAL, BANKING_FEE, PAYMENT_PROCESSING_FEE, BANK_VERIFICATION_TRIAL_DEBIT, REVERSAL_OUT, LOAN_PAYMENT, TAX_PAYMENT, CASH_DEPOSIT_OR_WITHDRAWAL, CHECK_DEPOSIT_OR_WITHDRAWAL, NOT_ENOUGH_INFORMATION "PURCHASE"
Transaction direction to match.
MONEY_IN, MONEY_OUT "MONEY_OUT"
Minimum transaction amount in cents.
Maximum transaction amount in cents.
Response
Categorization rule created successfully.
A categorization rule that automatically categorizes transactions matching specified filters.
Show child attributes
Show child attributes